require "import"
import "android.widget.*"
import "android.view.*"
import "android.content.*"
import "android.provider.Settings"
activity.setTitle("Hotspot & Tethering")

-- Layout
scrollView = ScrollView(activity)
layout = LinearLayout(activity)
layout.setOrientation(LinearLayout.VERTICAL)

-- Button to open Hotspot & Tethering settings
openHotspotSettingsButton = Button(activity)
openHotspotSettingsButton.setText("Open Hotspot & Tethering")

-- Click listener for the Open Hotspot & Tethering Settings button
openHotspotSettingsButton.setOnClickListener(View.OnClickListener {
  onClick = function(v)
    local intent = Intent(Settings.ACTION_TETHER_SETTINGS)
    activity.startActivity(intent)
  end
})

-- Add Button to Layout
layout.addView(openHotspotSettingsButton)
scrollView.addView(layout)
activity.setContentView(scrollView)

-- Automatically open Hotspot & Tethering Settings
local intent = Intent(Settings.ACTION_TETHER_SETTINGS)
activity.startActivity(intent)
